package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicAtmosphereType {
    public static final String EXCELLENT = "优";
    public static final String LIGHT = "轻度污染";
    public static final String SEVERE = "重度污染";
    public static final String MODERATE = "中度污染";
    public static final String SERIOUS = "严重污染";



    private static DicAtmosphereType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAtmosphereType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(EXCELLENT, EXCELLENT);
        dicMap.put(LIGHT, LIGHT);
        dicMap.put(SEVERE, SEVERE);
        dicMap.put(MODERATE, MODERATE);
        dicMap.put(SERIOUS, SERIOUS);
    }

    public static DicAtmosphereType getInstacne(){
        if (instance == null)
        {
            instance = new DicAtmosphereType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
